package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC以太网虚拟适配器
 * 
 * @author ShaolongTan
 */
@Deprecated
@Table("hmc_partition_network_adapter")
public class HmcPartitionNetworkAdapter {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("partition_id")
    private Long partitionId;
    @Column("adapter_id")
    private Integer adapterId;
    @Column("virtual_switch_id")
    private Integer virtualSwitchId;
    @Column("virtual_vlan_id")
    private Integer virtualVlanId;
    @Column("is_required")
    private Boolean isRequired;
    @Column("is_tagged_vlan_supported")
    private Boolean isTaggedVlanSupported;
    @Column("tagged_vlan_ids")
    private String taggedVlanIds;
    @Column("priority")
    private Integer priority;
    @Column("virtual_switch_name")
    private String virtualSwitchName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getVirtualSwitchId() {
        return virtualSwitchId;
    }

    public void setVirtualSwitchId(Integer virtualSwitchId) {
        this.virtualSwitchId = virtualSwitchId;
    }

    public Integer getVirtualVlanId() {
        return virtualVlanId;
    }

    public void setVirtualVlanId(Integer virtualVlanId) {
        this.virtualVlanId = virtualVlanId;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public Boolean getIsTaggedVlanSupported() {
        return isTaggedVlanSupported;
    }

    public void setIsTaggedVlanSupported(Boolean isTaggedVlanSupported) {
        this.isTaggedVlanSupported = isTaggedVlanSupported;
    }

    public String getTaggedVlanIds() {
        return taggedVlanIds;
    }

    public void setTaggedVlanIds(String taggedVlanIds) {
        this.taggedVlanIds = taggedVlanIds;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getVirtualSwitchName() {
        return virtualSwitchName;
    }

    public void setVirtualSwitchName(String virtualSwitchName) {
        this.virtualSwitchName = virtualSwitchName;
    }

}
